=== packaging/debian/control ===
Source: gaim-otr
Section: net
Priority: optional
Maintainer: OTR Dev Team <otr@cypherpunks.ca>
Build-Depends: debhelper (>= 4.0.0), libgpg-error-dev (>= 1.0), libgcrypt11-dev (>= 1.2.0), libglib2.0-dev (>= 2.4), libgtk2.0-dev (>= 2.4), gaim-dev (>= 1:1.0.0), gaim-dev (<< 1:2.0), libotr1-dev (>= 2.0.1), libotr1-dev (<< 2.99.0)
Standards-Version: 3.6.1

Package: gaim-otr
Architecture: any
Depends: libgpg-error0 (>= 1.0), libgcrypt11 (>= 1.2.0), libglib2.0-0 (>= 2.4), libgtk2.0-0 (>= 2.4), gaim (>= 1:1.0.0), gaim (<< 1:2.0), libotr1 (>= 2.0.1), libotr1 (<< 2.99.0)
Description: Off-the-Record Messaging plugin for gaim
 Off-the-Record (OTR) Messaging plugin for gaim
 .
 OTR allows you to have private conversations over IM by providing:
  - Encryption
    - No one else can read your instant messages.
  - Authentication
    - You are assured the correspondent is who you think it is.
  - Deniability
    - The messages you send do _not_ have digital signatures that are
      checkable by a third party.  Anyone can forge messages after a
      conversation to make them look like they came from you.  However,
      _during_ a conversation, your correspondent is assured the messages
      he sees are authentic and unmodified.
  - Perfect forward secrecy
    - If you lose control of your private keys, no previous conversation
      is compromised.
